org.keycloak.protocol.saml

## Class SamlProtocolFactory

- java.lang.Object
- - org.keycloak.protocol.AbstractLoginProtocolFactory
  - - org.keycloak.protocol.saml.SamlProtocolFactory

- All Implemented Interfaces:
    LoginProtocolFactory, ProviderFactory<LoginProtocol>

      public class SamlProtocolFactory
      extends AbstractLoginProtocolFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlProtocolFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDefaults(ClientModel client)`
    `LoginProtocol` | `create(KeycloakSession session)`
    `Object` | `createProtocolEndpoint(RealmModel realm, EventBuilder event, AuthenticationManager authManager)`
    `List<ProtocolMapperModel>` | `getBuiltinMappers()` List of built in protocol mappers that can be used to apply to clients.
    `List<ProtocolMapperModel>` | `getDefaultBuiltinMappers()` List of mappers, which are added to new clients by default
    `String` | `getId()`
    `void` | `init(Config.Scope config)`

    - ### Methods inherited from class org.keycloak.protocol.AbstractLoginProtocolFactory

      `close, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamlProtocolFactory

          public SamlProtocolFactory()

  - ### Method Detail

    - #### createProtocolEndpoint

          public Object createProtocolEndpoint(RealmModel realm,
                                      EventBuilder event,
                                      AuthenticationManager authManager)

    - #### create

          public LoginProtocol create(KeycloakSession session)

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<LoginProtocol>`
      Overrides:
        `init` in class `AbstractLoginProtocolFactory`

    - #### getId

          public String getId()

    - #### getBuiltinMappers

          public List<ProtocolMapperModel> getBuiltinMappers()

      Description copied from interface: `LoginProtocolFactory`
      List of built in protocol mappers that can be used to apply to clients.
      Returns:

    - #### getDefaultBuiltinMappers

          public List<ProtocolMapperModel> getDefaultBuiltinMappers()

      Description copied from interface: `LoginProtocolFactory`
      List of mappers, which are added to new clients by default
      Returns:

    - #### addDefaults

          protected void addDefaults(ClientModel client)

      Specified by:
        `addDefaults` in class `AbstractLoginProtocolFactory`

Copyright © 2015. All rights reserved.